edu.isi.pegasus.planner.code.generator.condor.style

## Class CondorG

- java.lang.Object
- - edu.isi.pegasus.planner.code.generator.condor.style.Abstract
  - - edu.isi.pegasus.planner.code.generator.condor.style.CondorG

All Implemented Interfaces:
  CondorStyle

    public class CondorG
    extends Abstract

This implementation enables a job to be submitted via CondorG to remote grid sites. This is the default style, that is applied to all the jobs in the concrete workflow.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `STYLE_NAME` The name of the style being implemented.

### Fields inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`mCredentialFactory, mLogger, mProps, mSiteStore`

### Fields inherited from interface edu.isi.pegasus.planner.code.generator.condor.CondorStyle

`VERSION`

### Constructor Summary

Constructors
Constructor and Description
`CondorG()` The default Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `apply(Job job)` Applies the globus style to the job.

### Methods inherited from class edu.isi.pegasus.planner.code.generator.condor.style.Abstract

`apply, applyCredentialsForJobSubmission, applyCredentialsForLocalExec, applyCredentialsForRemoteExec, complainForCredential, errorMessage, initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STYLE_NAME

    public static final java.lang.String STYLE_NAME

The name of the style being implemented.

See Also:
  Constant Field Values

### Constructor Detail

#### CondorG

    public CondorG()

The default Constructor.

### Method Detail

#### apply

    public void apply(Job job)
               throws CondorStyleException

Applies the globus style to the job. Changes the job so that it results in generation of a condor style submit file that can be submitted via CondorG to a remote jobmanager. This is the default case.

Parameters:
  `job` - the job on which the style needs to be applied.
Throws:
  `CondorStyleException` - in case of any error occuring code generation.